#
# Note that this is NOT a relocatable package
#

%define ver      1.1.1
%define rel      1
%define prefix   /usr/local
%define name	 bungmeter

Summary: Network graph
Name: %name
Version: %ver
Release: %rel
Copyright: GPL
Group: Applications/Internet
Source: http://gid0ze.net/bungmeter/bungmeter-%{ver}.tar.bz2
BuildRoot: /var/tmp/bungmeter
Packager: gid <gid@gifpaste.net>
URL: http://gid0ze.net/bungmeter/
Prefix: %{prefix}
Requires: gtk+ >= 1.2.1
Docdir: %{prefix}/doc

%description
This is the FOG Net Load

%changelog
* Fri Jan 31 2003  gid  <gid@gifpaste.net>

- Renamed to bungmeter

* Tue Oct 24 2000  FOG  <fog@shutdown.cx>

- Created the .spec file

%prep
%setup

%build
# Needed for snapshot releases.
if [ ! -f configure ]; then
  CFLAGS="-pipe $RPM_OPT_FLAGS" ./autogen.sh       \
        --prefix=%{prefix} --sysconfdir=%{sysconfdir} \
        --localstatedir=%{localstatedir}
else
  CFLAGS="-pipe $RPM_OPT_FLAGS" ./configure       \
        --prefix=%{prefix} --sysconfdir=%{sysconfdir} \
        --localstatedir=%{localstatedir}
fi

if [ "$SMP" != "" ]; then
  (make "MAKE=make -k -j $SMP"; exit 0)
  make
else
  make
fi

%install
rm -rf $RPM_BUILD_ROOT
make install prefix=$RPM_BUILD_ROOT%{prefix} \
        sysconfdir=$RPM_BUILD_ROOT%{sysconfdir} \
        localstatedir=$RPM_BUILD_ROOT%{localstatedir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%doc COPYING ChangeLog NEWS README 
%{prefix}/bin/*
